Bug 30300 - errors with rhnsd
errors with rhnsd
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-02 09:43 EST by Need Real Name
Modified: 2015-01-07 18:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-28 14:01:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-02 09:43:21 EST
I got the following messages in /var/log/messages
Feb 26 14:10:09 cmpq rhnsd[9564]: running program /usr/sbin/rhn_check
Feb 26 14:10:23 cmpq rhnsd[767]: command returned: Traceback (innermost
last):   File "/usr/sbin/rhn_check", line 342, in ?     action =
server.queue.get(up2date.getSystemId())   File
"/usr/lib/python1.5/site-packages/xmlrpclib.py", line 587, in __call__    
return self.__send(self.__name, args)   File
"/usr/lib/python1.5/site-packages/xmlrpclib.py", line 631, in __request    
request   File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 548,
in request     headers, fd = req.send_http(host, proxy, handler,
self.__type)   File "/usr/lib/python1.5/site-packages/cgiwrap.py", line
437, in send_http     h = myHTTPS(host, port, self.__ca_chain)   File
"/usr/lib/python1.5/site-packages/cgiwrap.py", line 127, in __init__    
httplib.HTTPS.__init__(self, host, port, cachain)   File
"/usr/lib/python1.5/httplib.py", line 214, in __init__    
HTTP.__init__(self, host, port)   File "/usr/lib/python1.5/httplib.py",
line 53, in __init__     if host: self.connect(host, port)   File
"/usr/lib/python1.5/site-packages/c


Mar  2 06:21:33 cmpq rhnsd[13352]: running program /usr/sbin/rhn_check
Mar  2 06:34:45 cmpq rhnsd[767]: command returned: Traceback (innermost
last):   File "/usr/sbin/rhn_check", line 342, in ?     action =
server.queue.get(up2date.getSystemId())   File
"/usr/lib/python1.5/site-packages/xmlrpclib.py", line 587, in __call__    
return self.__send(self.__name, args)   File
"/usr/lib/python1.5/site-packages/xmlrpclib.py", line 631, in __request    
request   File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 548,
in request     headers, fd = req.send_http(host, proxy, handler,
self.__type)   File "/usr/lib/python1.5/site-packages/cgiwrap.py", line
437, in send_http     h = myHTTPS(host, port, self.__ca_chain)   File
"/usr/lib/python1.5/site-packages/cgiwrap.py", line 127, in __init__    
httplib.HTTPS.__init__(self, host, port, cachain)   File
"/usr/lib/python1.5/httplib.py", line 214, in __init__    
HTTP.__init__(self, host, port)   File "/usr/lib/python1.5/httplib.py",
line 53, in __init__     if host: self.connect(host, port)   File
"/usr/lib/python1.5/site-packages/c
Mar  2 08:34:45 cmpq rhnsd[13385]: running program /usr/sbin/rhn_check
Mar  2 08:34:50 cmpq rhnsd[767]: command returned: Could not submit results
to server <Server for www.rhns.redhat.com with proxy None;
https://www.rhns.redhat.com/XMLRPC> Error code: -1 ERROR: This does not
appear to be a valid username INFO : Can not use an anonymous certificate
for queued actions      An unexpected error has occured while processing
your request.     Please try again later or submit a bug report to
rhns_help@redhat.com.     If you choose to submit the bug report, please be
sure to include     details of what were you trying to do when this error
occured and     details on how to reproduce this problem.       
Mar  2 09:29:27 cmpq rhnsd: rhnsd startup succeeded
Mar  2 09:29:27 cmpq rhnsd[781]: Red Hat Network Services Daemon starting
up.

The command 
up2date -u
seem works OK
Comment 1 Preston Brown 2001-03-09 00:21:08 EST
Adrian:

you and/or Cristian really need to give this program some attention.
Comment 2 Adrian Likins 2001-03-28 14:01:47 EST
the first two tracebacks seem to be coming from some sort of 
network connectivity issue (the failure occurs while trying
to make a http connection).

The last error at 08:34 is a fault code return by the server
when anonymous access is attempted.

The tracebacks are a result of the socket errors not being
caught and handled gracefully. These are currently fixed
in cvs.

Note You need to log in before you can comment on or make changes to this bug.